Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235555 - Review Request: transset - Simple program to toggle Translucency property
Summary: Review Request: transset - Simple program to toggle Translucency property
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 07:50 UTC by Peter Lemenkov
Modified: 2008-04-30 04:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-30 04:40:55 UTC


Attachments (Terms of Use)

Description Peter Lemenkov 2007-04-07 07:50:51 UTC
Spec URL: http://lemenkov.googlepages.com/transset.spec
SRPM URL: http://lemenkov.googlepages.com/transset-20040120-1.src.rpm
Description: Simple program to toggle Translucency property.

This is a little handy tool. I want to mention that I forced to use "cvs co" instead of unpacking source-archives 'cause project actually never released as tarball. Maybe it would be better to download all 4 files and put it into tarball by myself?

Comment 1 Kevin Fenzi 2007-04-07 16:26:03 UTC
Hey Peter. You shouldn't set the review flag here. That will be set by a
reviewer once they are reviewing your package, see: 
http://fedoraproject.org/wiki/PackageReviewProcess

CVS sources are ok...See: 
http://fedoraproject.org/wiki/Packaging/SourceURL

Comment 4 Peter Lemenkov 2007-05-12 15:34:31 UTC
* Sat May 12 2007  Peter Lemenkov <lemenkov@gmail.com> 0-4.20040120cvs
- Fixed the only warning
- Changed naming according to
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines


http://lemenkov.googlepages.com/transset.spec
http://lemenkov.googlepages.com/transset-0-4.20040120cvs.src.rpm

Comment 5 manuel wolfshant 2007-05-29 01:01:49 UTC
Just a quick glance (well, no so quick in fact)
- minor problem: there are lots of duplicate BR: xorg-x11-proto-devel (by
libX11-devel), pkgconfig (by libX11-devel), libX11-devel (by libXrender-devel),
libXfixes-devel (by libXcomposite-devel)
- the build log shows that compiler flags are not taken into account:
+ /usr/bin/make
cc  `pkg-config --cflags xcomposite xfixes xdamage xrender` -c transSet.c
cc  `pkg-config --cflags xcomposite xfixes xdamage xrender` -c dsimple.c
cc  -o transset transSet.o dsimple.o `pkg-config --libs xcomposite xfixes
xdamage xrender` -lm
+ exit 0
- is the application a GUI ? If so, it should have a desktop file
- I've tried to use it, but since there is no documentation, no man pages,
nothing... I could not. Or maybe I could, but I did not know that until I read
the sources. Whatever argument I pass to the application, it just echoes it and
then sits until Ctrl-C is pressed:
[wolfy@wolfy64 tmp]$ ./transset 1
got arg 1
d is 1


[wolfy@wolfy64 tmp]$ ./transset 12
got arg 12
d is 12

As upstream does not provide docs, I suggest creating a Readme.fedora file and
include in it the comment from the beginning of transSet.c. Or add the first
line of that comment to %Description. Just waiting for a mouse click without any
 useful output was not helpful and I doubt that users will have the patience to
read the source code as I did.



Comment 6 Jason Tibbitts 2008-04-30 01:58:28 UTC
It's been very nearly a year since the last comment from the submitter.  This
really should be closed now, and I'll do so soon if there's no further response.

Comment 7 Peter Lemenkov 2008-04-30 04:40:55 UTC
Oh, I completely forgot about this Review Request. I lost interest in visual effects such as 
translucency/waroing/morfing and other compiz-related stuff.

I'm closint this ticket 



Note You need to log in before you can comment on or make changes to this bug.